Skip to main content
GET
/
api
/
llms
/
{llmId}
Get LLM
curl --request GET \
  --url https://api.upon-ai.com/api/llms/{llmId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.upon-ai.com/api/llms/{llmId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.upon-ai.com/api/llms/{llmId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "llm_id": "<string>",
  "display_name": "<string>",
  "version": 123,
  "model": "<string>",
  "general_prompt": "<string>",
  "begin_message": "<string>",
  "responsiveness": "<string>",
  "general_tools": [
    {
      "name": "<string>",
      "type": "<string>",
      "description": "<string>"
    }
  ],
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Generate tokens from your profile settings at app.uponai.com.

Path Parameters

llmId
string
required

LLM identifier.

Query Parameters

workspaceId
integer
required

Workspace identifier. Call GET /api/workspaces to list workspaces accessible to your token.

version
integer

Specific version to retrieve or update.

Required range: x >= 1

Response

200 - application/json

LLM configuration details.

llm_id
string
required
display_name
string
required
version
integer
required
model
string
general_prompt
string | null
begin_message
string | null
responsiveness
string | null
general_tools
object[]
updated_at
string<date-time> | null